This endpoint is still on our legacy API.
Fetch current locations of all assets.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment Statistics under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/locations \
--header 'Authorization: Bearer <token>'{
"assets": [
{
"id": 1,
"assetSerialNumber": "8dka2810",
"cable": {
"assetType": "Thermo King"
},
"engineHours": 104,
"location": [
{
"latitude": 37,
"location": "525 York, San Francisco, CA",
"longitude": -122.7,
"speedMilesPerHour": 35,
"timeMs": 12314151
}
],
"name": "Trailer 123"
}
],
"pagination": {
"endCursor": "MTU5MTEzNjA2OTU0MzQ3",
"hasNextPage": true,
"hasPrevPage": true,
"startCursor": "MTU5MTEzNjA2OTU0MzQ3"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pagination parameter indicating the cursor position to continue returning results after. Used in conjunction with the 'limit' parameter. Mutually exclusive with 'endingBefore' parameter.
Pagination parameter indicating the cursor position to return results before. Used in conjunction with the 'limit' parameter. Mutually exclusive with 'startingAfter' parameter.
Pagination parameter indicating the number of results to return in this request. Used in conjunction with either 'startingAfter' or 'endingBefore'.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/locations \
--header 'Authorization: Bearer <token>'{
"assets": [
{
"id": 1,
"assetSerialNumber": "8dka2810",
"cable": {
"assetType": "Thermo King"
},
"engineHours": 104,
"location": [
{
"latitude": 37,
"location": "525 York, San Francisco, CA",
"longitude": -122.7,
"speedMilesPerHour": 35,
"timeMs": 12314151
}
],
"name": "Trailer 123"
}
],
"pagination": {
"endCursor": "MTU5MTEzNjA2OTU0MzQ3",
"hasNextPage": true,
"hasPrevPage": true,
"startCursor": "MTU5MTEzNjA2OTU0MzQ3"
}
}